com.taosdata.jdbc.utils

## Class SyncObj

- java.lang.Object
- - com.taosdata.jdbc.utils.SyncObj

    public class SyncObj
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SyncObj()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `await()`
`void` `signal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyncObj

    public SyncObj()

### Method Detail

#### signal

    public void signal()

#### await

    public void await()
               throws InterruptedException

Throws:
  `InterruptedException`